from math import *

def Ligne(xA,yA,xB,yB,k):
    d=sqrt((xB-xA)**2+(yB-yA)**2)
    p=k+d**2/4
    if p<0:
        m="C est l'ensemble vide"
    else:
        if abs(p)<10**-15:
            m="C est réduit à un point"
        else:
            m="C est un cercle"
    return m



